package at.jku.students;

import at.jku.ssw.Iterator;
import java.util.NoSuchElementException;

public class SortedSetIterator extends Iterator {

  private SortedSet set;
  private char next;
  
  SortedSetIterator(SortedSet set) {
    this.set = set;
    next = 'a';
  }
  
  public boolean hasNext() {
    while (next <= 'z' && !set.get(next)) {
      next++;
    }
    return next <= 'z';
  }
  
  public char next() {
    if (hasNext()) {
      return next++;
    } else {
      throw new NoSuchElementException();
    }
  }
  
}